package org.xyzh.common.dto.menu;
import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysMenu.java文件描述 菜单信息
 * @filename    TbSysMenu.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-16
 */
public class TbSysMenu extends BaseDTO {
    private static final long serialVersionUID = 1L;

    /**
     * @description    菜单ID
     * @author    yslg
     * @since 2024-06
     */
    private String menuID;

    /**
     * @description    父菜单ID
     * @author    yslg
     * @since 2024-06
     */
    private String parentID;

    /**
     * @description    菜单名称
     * @author    yslg
     * @since 2024-06
     */
    private String name;

    /**
     * @description    菜单描述
     * @author    yslg
     * @since 2024-06
     */
    private String description;

    /**
     * @description    菜单URL
     * @author    yslg
     * @since 2024-06
     */
    private String url;

    /**
     * @description    菜单组件
     * @author    yslg
     * @since 2024-06
     */
    private String component;
    /**
     * @description    菜单图标
     * @author    yslg
     * @since 2024-06
     */
    private String icon;

    /**
     * @description    菜单顺序
     * @author    yslg
     * @since 2024-06
     */
    private Integer orderNum;

    /**
     * @description    菜单类型 0目录 1菜单 2按钮
     * @author    yslg
     * @since 2024-06
     */
    private Integer type;

    /**
     * @description    布局组件路径名称（如：BasicLayout、BlankLayout、NavigationLayout、PageLayout）
     * @author    yslg
     * @since 2025-10-15
     */
    private String layout;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2024-06
     */
    private String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2024-06
     */
    private String updater;

    public String getMenuID() {
        return menuID;
    }

    public void setMenuID(String menuID) {
        this.menuID = menuID;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getLayout() {
        return layout;
    }

    public void setLayout(String layout) {
        this.layout = layout;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysMenu{" +
                "id='" + getID() + '\'' +
                ", menuID='" + menuID + '\'' +
                ", parentID='" + parentID + '\'' +
                ", name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", url='" + url + '\'' +
                ", component='" + component + '\'' +
                ", icon='" + icon + '\'' +
                ", orderNum=" + orderNum +
                ", type=" + type +
                ", layout='" + layout + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }
}
